{ pkgs, lib, ... }:
let
  kdePackages = with pkgs.kdePackages; [ plasma-browser-integration ];
  packages = with pkgs; [
    bitwarden-desktop
    onlyoffice-bin
    krita
    ytmdesktop
    wl-clipboard
    # we install xdg-desktop-portal-gtx so theming works from kde
    xdg-desktop-portal-gtk
  ];
in {
  environment.systemPackages = lib.lists.unique (kdePackages ++ packages);

  programs.partition-manager.enable = true;

  fonts.packages = with pkgs; [
    corefonts
    (nerdfonts.override { fonts = [ "FiraCode" ]; })
  ];
}
